%define name	perl-Digest-BubbleBabble
%define version 0.01
%define release 4mdk

Summary:	Digest-BubbleBabble module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Digest-BubbleBabble-%{version}.tar.bz2
Url:		http://www.cpan.org
Requires:	perl
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
Digest-BubbleBabble module for perl

%prep
%setup -q -n Digest-BubbleBabble-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%{__make}
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Digest/*
%{_mandir}/man*/*

%changelog
* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.01-4mdk
- rpmbuildupdated

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.01-3mdk
- rebuild for new perl
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-2mdk
- rebuild for new auto{prov,req}

* Sat Apr 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.01-1mdk
- initial cooker contrib.
